Bug 190467 - PAGE_SIZE Missing on ppc64
PAGE_SIZE Missing on ppc64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-02 13:48 EDT by Daniel Walsh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 13:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2006-05-02 13:48:42 EDT
Description of problem:

libselinux is using PAGE_SIZE from asm/page.h

This seems to have disappeared in rawhide/ppc64
Comment 1 David Woodhouse 2006-05-02 13:56:18 EDT
Page size is variable. Use sysconf.
Comment 2 Daniel Walsh 2006-05-02 14:17:39 EDT
Agreed,  Just switched library to use sysconf, but this may cause others problems.

Dan
Comment 3 Daniel Walsh 2006-05-09 13:31:08 EDT
Fixed in libselinux-1.30.6-1


Note You need to log in before you can comment on or make changes to this bug.